<?php
/**
     * MiniClick
     * Gestionnaire de tableau collaboratif
     * Copyright (C) 2006 Guillaume Monet <gm@ibreizh.net>
	     *
	     * This program is free software; you can redistribute it and/or modify
	     * it under the terms of the GNU General Public License as published by
	     * the Free Software Foundation; either version 2 of the License, or
	     * any later version.
	     *
	     * This program is distributed in the hope that it will be useful,
	     * but WITHOUT ANY WARRANTY; without even the implied warranty of
	     * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	     * GNU General Public License for more details.
	     *
	     * You should have received a copy of the GNU General Public License
	     * along with this program; if not, write to the Free Software
	     * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA 
	     *
	     * @package miniclick
	     * @version 3.1.0
*/
//nouvelle app
include (MINICLICK_INSTALL_PATH."includes/connection.php");
include(MINICLICK_INSTALL_PATH."engine/miniclic/miniclick.class.php");


//generer un nouvel utilisateur dans toutes les app 
if ((isset($_GET["newuser"])) && (isset($_GET["User_Id"]))) {
	
	//recuperer les infos user dans la base Miniclick dans ACCESS -> recuperez les id app auquel il a acces
	//récupération des données de la ligne (si données vide -> erreur)
	$sql_query="SELECT USER.User_Id, USER.Login, USER.Passwd, USER.Nom as Username, USER.Prenom, USER.Mail, APP.Nom , APP.Host, APP.Db, APP.Role FROM MINICLICK.USER, MINICLICK.APP WHERE APP.User_Id=USER.User_Id  AND USER.User_Id=".$_GET["User_Id"];

	$rq=mysql_query($sql_query);
	While ($app=mysql_fetch_object($rq)){
		//pour chaque app se connecter à la bdd et rajoutez s'il n'existe pas 
		if (($app->Nom!="") && ($app->Host!="") && ($app->Db!="") && ($app->Role!="") && ($app->User_Id!="")){
			echo "Connexion a ".$app->Db."<br>";
			//connexion a la base de données de l'app
			$_SESSION['current_db']=$app->Db;
			$_SESSION['database']=$app->Db;
			$base=mysql_select_db($app->Db);
			
			$sql_user="SELECT USER.User_Id FROM USER WHERE User_id='".$_GET["User_Id"]."'";
			//echo "SELECT USER.User_Id FROM USER WHERE Passwd='".$app->Passwd."' AND Login='".$app->Login."'";
			$rq_user=mysql_query($sql_user);
			$user=mysql_num_rows($rq_user);
			if ($user==0){
				//creation d'un user dans la base client
				mysql_query("INSERT INTO `USER` ( `User_Id` , `Login` , `Passwd` ,  `Nom` , `Prenom`, `Mail` )VALUES ('".$_GET["User_Id"]."', '".$app->Login."', '".$app->Passwd."', '".$app->Username."','".$app->Prenom."', '".$app->Mail."');");
				echo "Creation de l'utilisateur dans  ".$app->Db."<br>";
				echo "INSERT INTO `USER` ( `User_Id` , `Login` , `Passwd` , `Nom` ,`Prenom`, `Mail` )VALUES ('".$_GET["User_Id"]."', '".$app->Login."', '".$app->Passwd."', '".$app->Username."','".$app->Prenom."', '".$app->Mail."');<br>";

				//creation des access de tous les modules par defaut dans la base client
				$j++;
				$sql_mod="SELECT DISTINCT Module, Lien, Position FROM ACCESS";
				$rq_mod=mysql_query($sql_mod);
				While ($mod=mysql_fetch_object($rq_mod)){
					$sql_acc="INSERT INTO `ACCESS` ( `Access_Id` , `App_Id` , `Module` , `Lien` ,`Position` , `User_Id` ) VALUES ('', '".$app->Nom."', '".$mod->Module."', '".$mod->Lien."', '".$mod->Position."', '".$_GET["User_Id"]."')";
					mysql_query($sql_acc);
					echo $sql_acc."<br>";
					$j++;
				}
			}	
		}else{
			echo "Informations incomplètes sur l'application ou l'utilisateur ";
		}
	}
}
if ((isset($_GET["suppuser"])) && (isset($_GET["User_Id"]))) {
	//recuperer les infos user dans la base Miniclick dans ACCESS -> recuperez les id app auquel il a acces
	//récupération des données de la ligne (si données vide -> erreur)
	$sql_query="SELECT USER.User_Id, USER.Login, USER.Passwd, USER.Nom as Username, USER.Mail, APP.Nom , APP.Host, APP.Db, APP.Role FROM MINICLICK.USER, MINICLICK.APP WHERE APP.User_Id=USER.User_Id  AND USER.User_Id=".$_GET["User_Id"];

	$rq=mysql_query($sql_query);
	While ($app=mysql_fetch_object($rq)){
		//pour chaque app se connecter à la bdd et rajoutez s'il n'existe pas 
		if (($app->Nom!="") && ($app->Host!="") && ($app->Db!="") && ($app->Role!="") && ($app->User_Id!="")){
			echo "Connexion a ".$app->Db."<br>";
			//connexion a la base de données de l'app
			$_SESSION['current_db']=$app->Db;
			$_SESSION['database']=$app->Db;
			$base=mysql_select_db($app->Db);
			
			//suppresion du user dans la base client
			//suppresion des access
			$sql_del="DELETE FROM ".$app->Db.".USER WHERE User_id= '".$_GET["User_Id"]."'";
			//echo $sql_del."<br>";
			mysql_query($sql_del);
			echo "Suppression de l'utilisateur dans  ".$app->Db."<br>";
			//creation des access de tous les modules par defaut dans la base lient
			$sql_mod="DELETE FROM ".$app->Db.".ACCESS WHERE User_id= '".$_GET["User_Id"]."'";
			//echo $sql_mod."<br>";
			mysql_query($sql_mod);
			echo "Suppression des access de l'utilisateur dans  ".$app->Db."<br>";
				
		}else{
			echo "Informations incomplètes sur l'application ou l'utilisateur ";
		}
	}
	$base=mysql_select_db("MINICLICK");
	$sql_mod="DELETE FROM USER WHERE User_id= '".$_GET["User_Id"]."'";
	//echo $sql_mod."<br>";
	mysql_query($sql_mod);
	echo "Suppresion de l'utilisateur dans l'admin <br>";
	$sql_mod="DELETE FROM APP WHERE User_id= '".$_GET["User_Id"]."'";
	//echo $sql_mod."<br>";
	mysql_query($sql_mod);
	echo "Suppresion des app de l'utilisateur dans l'admin<br>";

}
?>
